#################################################################
#								#
# Copyright (c) 2019 YottaDB LLC and/or its subsidiaries.	#
# All rights reserved.						#
#								#
#	This source code contains the intellectual property	#
#	of its copyright holder(s), and is made available	#
#	under a license.  If you do not know the terms of	#
#	the license, please stop and do not read further.	#
#								#
#################################################################

load test_helpers

setup() {
  init_test
  createdb
  load_fixture names.sql
  load_fixture names.zwr
}

@test "TSD01 : where select with distinct" {
  load_fixture TSD01.sql subtest novv
  run_query_in_octo_and_postgres_and_crosscheck names TSD01.sql "remove_empty_line_at_tail"
}

@test "TSD02 : OCTO396 : LVUNDEF error when SELECT DISTINCT used in sub-query in EXISTS operator" {
  load_fixture TSD02.sql subtest novv
  run_query_in_octo_and_postgres_and_crosscheck_multiple_queries names TSD02.sql "remove_empty_line_at_tail"
}
